## org.w3c.jigsaw.html
Class HtmlStyle

    java.lang.Object
      |
      +--org.w3c.jigsaw.html.HtmlStyle

public class HtmlStyle
extends java.lang.Object

a sample Style class for HTML documents

Constructor Summary
`HtmlStyle(MimeType type, java.lang.String style)`
`HtmlStyle(java.lang.String style)`

Method Summary
`void` | `append(java.lang.String str1)` append a string to the style buffer
`void` | `setType(MimeType type)` set the type of style sheet used
`java.lang.String` | `toString()` genereate a String representation that can be append in a HTML document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlStyle

    public HtmlStyle(MimeType type,
                     java.lang.String style)

### HtmlStyle

    public HtmlStyle(java.lang.String style)

Method Detail

### setType

    public void setType(MimeType type)

  set the type of style sheet used
  Parameters:
    `style` - the sheet's MimeType.

### append

    public void append(java.lang.String str1)

  append a string to the style buffer
  Parameters:
    `str1` - A string to be append

### toString

    public java.lang.String toString()

  genereate a String representation that can be append in a HTML document
  Overrides:
    toString in class java.lang.Object